Fix bug in smake- file code.
[deliverable/binutils-gdb.git] / configure
CommitLineData
eb02fd64 1#!/bin/sh
eb02fd64 2
46f3c7cd 3# Configuration script
eb02fd64
RP
4# Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
5
6#This file is part of GNU.
7
063efd10
JG
8# This program is free software; you can redistribute it and/or modify
9# it under the terms of the GNU General Public License as published by
10# the Free Software Foundation; either version 2 of the License, or
11# (at your option) any later version.
12#
13# This program is distributed in the hope that it will be useful,
14# but WITHOUT ANY WARRANTY; without even the implied warranty of
15# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
16# GNU General Public License for more details.
17#
18# You should have received a copy of the GNU General Public License
19# along with this program; if not, write to the Free Software
20# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */
eb02fd64 21
74cc5508
RP
22# $Id$
23
49b10446
RP
24# Please email any bugs, comments, and/or additions to this file to:
25# configure@cygnus.com
26
eb02fd64
RP
27#
28# Shell script to create proper links to machine-dependent files in
0df06ca0 29# preparation for compilation.
eb02fd64
RP
30#
31# If configure succeeds, it leaves its status in config.status.
32# If configure fails after disturbing the status quo,
33# config.status is removed.
34#
35
49b10446 36# set -e
c297d71e 37
eb02fd64
RP
38remove=rm
39hard_link=ln
40symbolic_link='ln -s'
41
42#for Test
43#remove="echo rm"
44#hard_link="echo ln"
45#symbolic_link="echo ln -s"
46
47# clear some things potentially inherited from environment.
6f8ac2d9
RP
48
49Makefile=Makefile
50Makefile_in=Makefile.in
eb02fd64 51ansi=
b8f8fddc 52arguments=$*
6f8ac2d9
RP
53commontargets=
54configdirs=
0df06ca0 55defaulttargets=
ec342d7d 56destdir=
0df06ca0 57fatal=
131a3881 58hostsubdir=
46766962 59norecursion=
49b10446
RP
60objdir=
61objdiroption=
62progname=
46766962 63recurring=
131a3881 64removing=
74cc5508 65srcdir=
ec342d7d 66srctrigger=
131a3881 67target=
0df06ca0 68targets=
131a3881 69targetsubdir=
0df06ca0 70verbose=
eb02fd64
RP
71
72for arg in $*;
73do
ec342d7d 74 case ${arg} in
9fddf5af 75 -ansi | +a*)
eb02fd64 76 ansi=true
bc58b41d 77 clib=clib
eb02fd64 78 ;;
ec342d7d
RP
79 -destdir=* | +destdir=* | +destdi=* | +destd=* | +dest=* | +des=* | +de=* | +d=*)
80 destdir=`echo ${arg} | sed 's/[+-]d[a-z]*=//'`
81 ;;
74cc5508
RP
82 -languages=* | +languages=* | +language=* | +languag=* \
83 | +langua=* | +langu=* | +lang=* | +lan=* | +la=* \
84 | +l=*)
ec342d7d 85 languages="${languages} `echo ${arg} | sed 's/[+-]l[a-z]*=//'`"
eb02fd64 86 ;;
bc58b41d 87 -gas | +g*)
eb02fd64
RP
88 gas=yes
89 ;;
9fddf5af 90 -help | +h*)
0df06ca0
RP
91 fatal=true
92 ;;
9fddf5af 93 -nfp | +nf*)
eb02fd64
RP
94 nfp=yes
95 ;;
46766962
RP
96 -norecursion | +no*)
97 norecursion=true
131a3881 98 ;;
49b10446
RP
99 -objdir=* | +objdir=* | +objdi=* | +objd=* | +obj=* | +ob=* | +o=*)
100 objdiroption=${arg}
101 objdir=`echo ${arg} | sed 's/[+-]o[a-z]*=//'`
102 ;;
46766962
RP
103 -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
104 recurring=true
bc58b41d 105 ;;
46766962 106 -rm | +rm)
ec342d7d 107 removing=${arg}
131a3881 108 ;;
7875b07f
RP
109 -site=* | +site=* | +sit=* | +si=*)
110 site=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
111 ;;
112# -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=*)
0df06ca0
RP
113# srcdir=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
114# ;;
6f8ac2d9 115 -subdirs | +su*)
991643f5
RP
116 subdirs=${arg}
117 ;;
9fddf5af 118 -target=* | +target=* | +targe=* | +targ=* | +tar=* | +ta=*)
0df06ca0 119 if [ -n "${targets}" ] ; then
991643f5 120 subdirs="+subdirs"
0df06ca0
RP
121 fi
122
123 newtargets="${targets} `echo ${arg} | sed 's/[+-]t[a-z]*=//'`"
124 targets="${newtargets}"
131a3881 125 ;;
49b10446
RP
126 -tmpdir=* | +tmpdir=* | +tmpdi=* | +tmpd=* | +tmp=* | +tm=*)
127 tmpdiroption=${arg}
128 TMPDIR=`echo ${arg} | sed 's/[+-]t[a-z]*=//'`
129 ;;
bc58b41d 130 -v | -verbose | +v*)
0df06ca0
RP
131 verbose=${arg}
132 ;;
133 -* | +*)
134 (echo ;
135 echo "Unrecognized option: \"${arg}\"". ;
136 echo) 1>&2
137 fatal=true
138 ;;
eb02fd64 139 *)
0df06ca0 140 if [ -n "${hosts}" ] ; then
991643f5 141 subdirs="+subdirs"
0df06ca0
RP
142 fi
143
144 newhosts="${hosts} ${arg}"
145 hosts=${newhosts}
eb02fd64
RP
146 ;;
147 esac
148done
149
0df06ca0 150if [ -n "${verbose}" ] ; then
49b10446 151 echo $0 $*
0df06ca0
RP
152fi
153
49b10446
RP
154## this is a little touchy and won't always work, but...
155##
156## if the argv[0] starts with a slash then it is an absolute name that can be
157## used as is.
158##
159## otherwise, if argv[0] has no slash in it, we can assume that it is on the
160## path. Since PATH might include "." we also add `pwd` to the end of PATH.
161##
162## otherwise we prepend `pwd` to $0 and hope that will give us an absolute
163## path.
164##
165
166if (echo $0 | grep '^/' > /dev/null) ; then
167 progname=$0
49b10446
RP
168else
169 if (echo $0 | grep '/' > /dev/null) ; then
170 progname=`pwd`/$0
49b10446
RP
171 else
172 progname=$0
49b10446
RP
173 PATH=$PATH:`pwd` ; export PATH
174 fi
175fi
176
bdb73134
JW
177configsub=`echo ${progname} | sed 's/configure\$/config.sub/'`
178
179if [ ! -f ${configsub} ] ; then
180 echo '***' cannot find config.sub.
181 echo 1
182fi
49b10446 183
c297d71e
RP
184# process host and target only if not removing.
185if [ -z "${removing}" -a -z "${fatal}" ] ; then
eb02fd64 186 # Complain if an arg is missing
0df06ca0
RP
187 if [ -z "${hosts}" ] ; then
188 (echo ;
189 echo "configure: No HOST specified." ;
bc58b41d 190 echo) 1>&2
0df06ca0 191 fatal=true
eb02fd64 192 fi
131a3881 193fi
eb02fd64 194
0df06ca0
RP
195if [ -n "${fatal}" -o "${hosts}" = "help" ] ; then
196 (echo "Usage: configure HOST" ;
197 echo ;
198 echo "Options: [defaults in brackets]" ;
199 echo " +ansi configure w/ANSI library. [no ansi lib]" ;
49b10446 200 echo " +destdir=MYDIR configure for installation into MYDIR. [\"/usr/local\"]" ;
0df06ca0 201 echo " +gas configure the compilers for use with gas. [native as]" ;
49b10446
RP
202 echo " +help print this message. [normal config]" ;
203 echo " +lang=LANG configure to build LANG. [gcc]" ;
0df06ca0 204 echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
46766962 205 echo " +norecursion configure this directory only. [recurse]" ;
49b10446 206 echo " +objdir=ODIR configure in a parallel tree rooted in ODIR. [rooted in \".\"]" ;
0df06ca0 207 echo " +rm remove this configuration. [build a configuration]" ;
49b10446 208 echo " +subdirs configure in subdirectories. [in source directories]" ;
0df06ca0 209 echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
49b10446 210 echo " +tmpdir=TMPDIR create temporary files in TMPDIR. [ TMPDIR = \"/tmp\" ]" ;
0df06ca0
RP
211 echo ;
212 echo "Where HOST and TARGET are something like \"vax\", \"sun3\", \"encore\", etc." ;
991643f5 213 echo "Asking for more than one \"+target\" implies \"+subdirs\". Any other" ;
0df06ca0
RP
214 echo "options given will apply to all targets.") 1>&2
215
216 if [ -r config.status ] ; then
217 cat config.status
218 fi
219
220 exit 1
eb02fd64
RP
221fi
222
c297d71e
RP
223### break up configure.in.
224if [ -r configure.in ] ; then
225 if [ -z "`grep '^# per\-host:' configure.in`" ] ; then
226 echo '***' `pwd`/configure.in has no "per-host:" line. 1>&2
eb02fd64
RP
227 exit 1
228 fi
229
c297d71e
RP
230 if [ -z "`grep '^# per\-target:' configure.in`" ] ; then
231 echo '***' `pwd`/configure.in has no "per-target:" line. 1>&2
232 exit 1
bc58b41d
RP
233 fi
234
49b10446
RP
235 if [ -z "${TMPDIR}" ] ; then
236 TMPDIR=/tmp ; export TMPDIR
237 fi
238
c297d71e
RP
239 # split configure.in into common, per-host, per-target,
240 # and post-target parts. Post-target is optional.
49b10446
RP
241 sed -e '/^# per\-host:/,$d' configure.in > ${TMPDIR}/configure.$$.com
242 sed -e '1,/^# per\-host:/d' -e '/^# per\-target:/,$d' configure.in > ${TMPDIR}/configure.$$.hst
c297d71e 243 if grep -s '^# post-target:' configure.in ; then
49b10446
RP
244 sed -e '1,/^# per\-target:/d' -e '/^# post\-target:/,$d' configure.in > ${TMPDIR}/configure.$$.tgt
245 sed -e '1,/^# post\-target:/d' configure.in > ${TMPDIR}/configure.$$.pos
c297d71e 246 else
49b10446
RP
247 sed -e '1,/^# per\-target:/d' configure.in > ${TMPDIR}/configure.$$.tgt
248 echo >${TMPDIR}/configure.$$.pos
bc58b41d 249 fi
eb02fd64 250
c297d71e
RP
251else
252 echo '***' No configure.in in `pwd`
253 exit 1
254fi
eb02fd64 255
c297d71e 256### do common part of configure.in
eb02fd64 257
49b10446 258. ${TMPDIR}/configure.$$.com
eb02fd64 259
ec342d7d 260# some sanity checks on configure.in
0df06ca0 261if [ -z "${srctrigger}" ] ; then
c297d71e 262 echo '***' srctrigger not set in `pwd`/configure.in.
ec342d7d
RP
263 exit 1
264fi
265
0df06ca0
RP
266for host in ${hosts} ; do
267 # Default other arg
268 if [ -z "${targets}" -o -n "${defaulttargets}" ] ; then
269 targets=${host}
270 defaulttargets=true
271 fi
eb02fd64 272
b8f8fddc
RP
273 host_alias=${host}
274
49b10446 275 result=`${configsub} ${host}`
bc58b41d
RP
276 host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
277 host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
278 host_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
279 host=${host_cpu}-${host_vendor}-${host_os}
6c18e393
RP
280 host_makefile_frag=config/hmake-${host}
281
49b10446 282 . ${TMPDIR}/configure.$$.hst
eb02fd64 283
0df06ca0 284 for target in ${targets} ; do
eb02fd64 285
b8f8fddc 286 target_alias=${target}
49b10446 287 result=`${configsub} ${target}`
bc58b41d
RP
288 target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
289 target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
290 target_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
291 target=${target_cpu}-${target_vendor}-${target_os}
6c18e393 292 target_makefile_frag=config/tmake-${target}
6408afba 293
49b10446 294 . ${TMPDIR}/configure.$$.tgt
0df06ca0
RP
295
296 # Temporarily, we support only direct subdir builds.
b8f8fddc
RP
297 hostsubdir=H-${host_alias}
298 targetsubdir=T-${target_alias}
0df06ca0
RP
299
300 if [ -n "${removing}" ] ; then
49b10446
RP
301 if [ -n "${objdir}" ] ; then
302 echo '***' +rm not supported for +objdir. Just \"rm -rf ${objdir}\" by hand.
303 exit 1
304 fi
305
991643f5 306 if [ -n "${subdirs}" ] ; then
67ca110d
RP
307 if [ -d "${hostsubdir}" ] ; then
308 rm -rf ${hostsubdir}/${targetsubdir}
0df06ca0 309
c297d71e 310 if [ -z "`(ls ${hostsubdir}) 2>&1 | grep T- | grep -v T-independent`" ] ; then
67ca110d
RP
311 rm -rf ${hostsubdir}
312 fi
313 else
314 echo Warning: no `pwd`/${hostsubdir} to remove.
0df06ca0
RP
315 fi
316 else
063efd10 317 rm -f ${Makefile} config.status ${links}
0df06ca0 318 fi
74cc5508 319 else
49b10446
RP
320 if [ -n "${objdir}" ]; then
321 srcdir=`pwd`
322 cd ${objdir}
323 fi
324
991643f5 325 if [ -n "${subdirs}" ] ; then
0df06ca0 326 # check for existing status before allowing forced subdirs.
063efd10 327 if [ -f ${Makefile} ] ; then
bc58b41d 328 echo '***' "${Makefile} already exists in source directory. `pwd` not configured." 1>&2
0df06ca0
RP
329 exit 1
330 fi
eb02fd64 331
0df06ca0
RP
332 if [ ! -d ${hostsubdir} ] ; then mkdir ${hostsubdir} ; fi
333 cd ${hostsubdir}
eb02fd64 334
bc58b41d
RP
335 if [ ! -d ${targetsubdir} ] ; then
336 if [ -z "${commontargets}" ] ; then
337 mkdir ${targetsubdir}
338 else
c297d71e
RP
339 if [ ! -d T-independent ] ; then
340 mkdir T-independent
bc58b41d
RP
341 fi
342
c297d71e 343 ${symbolic_link} T-independent ${targetsubdir}
bc58b41d
RP
344 fi # if target independent
345 fi # if no target dir yet
346
0df06ca0 347 cd ${targetsubdir}
eb02fd64 348
49b10446
RP
349 if [ -z "${srcdir}" ] ; then
350 srcdir=../..
351 fi
0df06ca0
RP
352 else
353 # if not subdir builds, then make sure none exist.
c297d71e 354 if [ -n "`(ls .) 2>&1 | (grep H- ; true)`" ] ; then
bc58b41d 355 echo '***' "Configured subdirs exist. `pwd` not configured." 1>&2
0df06ca0 356 exit 1
c297d71e
RP
357 else
358 true
0df06ca0
RP
359 fi
360 fi
eb02fd64 361
0df06ca0
RP
362 # Find the source files, if location was not specified.
363 if [ -z "${srcdir}" ] ; then
364 srcdirdefaulted=1
365 srcdir=.
366 if [ -n "${srctrigger}" -a ! -r ${srctrigger} ] ; then
367 srcdir=..
368 fi
369 fi
eb02fd64 370
0df06ca0
RP
371 if [ -n "${srctrigger}" -a ! -r ${srcdir}/${srctrigger} ] ; then
372 if [ -z "${srcdirdefaulted}" ] ; then
bc58b41d 373 echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/${srcdir}" 1>&2
0df06ca0 374 else
bc58b41d 375 echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/. or `pwd`/.." 1>&2
0df06ca0 376 fi
eb02fd64 377
bc58b41d 378 echo '***' \(At least ${srctrigger} is missing.\) 1>&2
0df06ca0
RP
379 exit 1
380 fi
131a3881 381
0df06ca0
RP
382 # Set up the list of links to be made.
383 # ${links} is the list of link names, and ${files} is the list of names to link to.
eb02fd64 384
0df06ca0
RP
385 # Make the links.
386 while [ -n "${files}" ] ; do
387 # set file to car of files, files to cdr of files
388 set ${files}; file=$1; shift; files=$*
389 set ${links}; link=$1; shift; links=$*
131a3881 390
0df06ca0 391 if [ ! -r ${srcdir}/${file} ] ; then
bc58b41d
RP
392 echo '***' "${progname}: cannot create a link \"${link}\"," 1>&2
393 echo '***' "since the file \"${file}\" does not exist." 1>&2
0df06ca0
RP
394 exit 1
395 fi
131a3881 396
0df06ca0
RP
397 ${remove} -f ${link}
398 rm -f config.status
399 # Make a symlink if possible, otherwise try a hard link
400 ${symbolic_link} ${srcdir}/${file} ${link} 2>/dev/null || ${hard_link} ${srcdir}/${file} ${link}
131a3881 401
0df06ca0 402 if [ ! -r ${link} ] ; then
bc58b41d 403 echo '***' "${progname}: unable to link \"${link}\" to \"${srcdir}/${file}\"." 1>&2
0df06ca0
RP
404 exit 1
405 fi
bc58b41d
RP
406
407 if [ -n "${verbose}" ] ; then
408 echo "Linked \"${link}\" to \"${srcdir}/${file}\"."
409 fi
0df06ca0 410 done
131a3881 411
0df06ca0
RP
412 # Create a .gdbinit file which runs the one in srcdir
413 # and tells GDB to look there for source files.
414
415 case ${srcdir} in
416 .)
417 ;;
418 *)
419 echo "dir ." > .gdbinit
420 echo "dir ${srcdir}" >> .gdbinit
421 echo "source ${srcdir}/.gdbinit" >> .gdbinit
422 ;;
423 esac
424
425 # Install a makefile, and make it set VPATH
426 # if necessary so that the sources are found.
427 # Also change its value of srcdir.
428
429 # FIXME-someday: This business of always writing to .tem and mv back
430 # is so that I don't screw things up while developing. Once this
431 # template is stable, these should be optimized. xoxorich.
432
433 # Define macro CROSS_COMPILE in compilation if this is a cross-compiler.
434 if [ "${host}" != "${target}" ] ; then
063efd10
JG
435 echo "CROSS=-DCROSS_COMPILE" > ${Makefile}
436 echo "ALL=start.encap" >> ${Makefile}
0df06ca0 437 else
063efd10 438 echo "ALL=all.internal" > ${Makefile}
0df06ca0 439 fi
131a3881 440
0df06ca0 441 # set target, host, VPATH
b8f8fddc
RP
442 echo "host_alias = ${host_alias}" >> ${Makefile}
443 echo "host_cpu = ${host_cpu}" >> ${Makefile}
444 echo "host_vendor = ${host_vendor}" >> ${Makefile}
445 echo "host_os = ${host_os}" >> ${Makefile}
446
447 echo "target_alias = ${target_alias}" >> ${Makefile}
448 echo "target_cpu = ${target_cpu}" >> ${Makefile}
449 echo "target_vendor = ${target_vendor}" >> ${Makefile}
450 echo "target_os = ${target_os}" >> ${Makefile}
131a3881 451
991643f5 452 if [ -n "${subdirs}" ] ; then
49b10446
RP
453 (echo "subdir = /${hostsubdir}/${targetsubdir}" ;
454 echo "unsubdir = ../..") >> ${Makefile}
0df06ca0 455 else
49b10446
RP
456 (echo "subdir =" ;
457 echo "unsubdir = .") >> ${Makefile}
0df06ca0 458 fi
131a3881 459
063efd10
JG
460 # echo "workdir = `pwd`" >> ${Makefile}
461 echo "VPATH = ${srcdir}" >> ${Makefile}
eb02fd64 462
063efd10
JG
463 # add "Makefile.in" (or whatever it's called)
464 cat ${srcdir}/${Makefile_in} >> ${Makefile}
eb02fd64 465
0df06ca0 466 # Conditionalize the makefile for this host.
9d1e053b 467 if [ -f ${srcdir}/${host_makefile_frag} ] ; then
b8f8fddc
RP
468 (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
469 sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
063efd10 470 mv Makefile.tem ${Makefile}
0df06ca0 471 fi
131a3881 472
0df06ca0 473 # Conditionalize the makefile for this target.
9d1e053b 474 if [ -f ${srcdir}/${target_makefile_frag} ] ; then
b8f8fddc
RP
475 (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
476 sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
063efd10 477 mv Makefile.tem ${Makefile}
0df06ca0 478 fi
ec342d7d 479
7875b07f
RP
480 # Conditionalize the makefile for this site.
481 if [ -n "${site}" ] ; then
482 site_makefile_frag=smake-${site}
483
484 if [ -f ${srcdir}/${site_makefile_frag} ] ; then
485 (echo "site_makefile_frag = ${srcdir}/${site_makefile_frag}" ;
bdb73134 486 sed -e "/^####/ r ${srcdir}/${site_makefile_frag}" ${Makefile}) > Makefile.tem
7875b07f
RP
487 mv Makefile.tem ${Makefile}
488 fi
489 fi
490
0df06ca0 491 # set srcdir
063efd10
JG
492 sed "s@^srcdir = \.@srcdir = ${srcdir}@" ${Makefile} > Makefile.tem
493 mv Makefile.tem ${Makefile}
eb02fd64 494
0df06ca0
RP
495 # set destdir
496 if [ -n "${destdir}" ] ; then
063efd10
JG
497 sed "s:^destdir =.*$:destdir = ${destdir}:" ${Makefile} > Makefile.tem
498 mv Makefile.tem ${Makefile}
0df06ca0 499 fi
eb02fd64 500
0df06ca0 501 # reset SUBDIRS
063efd10
JG
502 sed "s:^SUBDIRS =.*$:SUBDIRS = ${configdirs}:" ${Makefile} > Makefile.tem
503 mv Makefile.tem ${Makefile}
eb02fd64 504
0df06ca0 505 # reset NONSUBDIRS
063efd10
JG
506 sed "s:^NONSUBDIRS =.*$:NONSUBDIRS = ${noconfigdirs}:" ${Makefile} > Makefile.tem
507 mv Makefile.tem ${Makefile}
eb02fd64 508
7875b07f
RP
509 # remove any form feeds.
510 sed -e "s/\f//" ${Makefile} > Makefile.tem
511 mv Makefile.tem ${Makefile}
512
0df06ca0 513 using=
9d1e053b
RP
514 if [ -f ${srcdir}/${host_makefile_frag} ] ; then
515 using=" using \"${host_makefile_frag}\""
0df06ca0 516 fi
eb02fd64 517
9d1e053b 518 if [ -f ${srcdir}/${target_makefile_frag} ] ; then
0df06ca0 519 if [ -z "${using}" ] ; then
9d1e053b 520 andusing=" using \"${target_makefile_frag}\""
0df06ca0 521 else
9d1e053b 522 andusing="${using} and \"${target_makefile_frag}\""
0df06ca0
RP
523 fi
524 else
525 andusing=${using}
526 fi
eb02fd64 527
7875b07f
RP
528 if [ -f ${srcdir}/${site_makefile_frag} ] ; then
529 if [ -z "${andusing}" ] ; then
530 andandusing=" using \"${site_makefile_frag}\""
531 else
532 andandusing="${andusing} and \"${site_makefile_frag}\""
533 fi
534 else
535 andandusing=${using}
536 fi
537
46766962 538 if [ -n "${verbose}" -o -z "${recurring}" ] ; then
7875b07f 539 echo "Created \"${Makefile}\"" in `pwd`${andandusing}.
bc58b41d 540 fi
063efd10 541
49b10446
RP
542 if [ -f ${TMPDIR}/configure.$$.pos ] ; then
543 . ${TMPDIR}/configure.$$.pos
c297d71e 544 fi
eb02fd64 545
b8f8fddc
RP
546 # describe the chosen configuration in config.status.
547 # Make that file a shellscript which will reestablish
548 # the same configuration. Used in Makefiles to rebuild
549 # Makefiles.
550
551 echo "#!/bin/sh
49b10446
RP
552# `pwd` was configured as follows:
553(cd ${srcdir} ; ${progname}" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` ")" > config.status
b8f8fddc 554 chmod a+x config.status
0df06ca0
RP
555
556 originaldir=`pwd`
557 cd ${srcdir}
558 fi
bc58b41d
RP
559
560 # If there are subdirectories, then recurse.
46766962 561 if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
bc58b41d
RP
562 for configdir in ${configdirs} ; do
563 if [ -n "${verbose}" ] ; then
564 echo Configuring ${configdir}...
565 fi
566
567 if [ -d ${configdir} ] ; then
49b10446
RP
568 if [ -n "${objdir}" ] ; then
569 if [ ! -d ${objdir}/${configdir} ] ; then
570 mkdir ${objdir}/${configdir}
571 fi
572 fi
573
bc58b41d 574 (cd ${configdir} ;
49b10446
RP
575 ${progname} +recurring ${host_alias} +target=${target_alias} \
576 ${verbose} ${subdirs} ${removing} +destdir=${destdir} \
577 `if [ -n "${objdir}" ] ; then echo +objdir=${objdir}/${configdir} ; fi` \
578 ${tmpdiroption}) \
bc58b41d
RP
579 | sed 's/^/ /'
580 else
581 if [ -n "${verbose}" ] ; then
582 echo Warning: directory \"${configdir}\" is missing.
583 fi
584 fi
585 done
586 fi
67ca110d
RP
587 done # for each target
588
4101d868 589 # Now build a Makefile for this host.
991643f5 590 if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
49b10446
RP
591 push=`pwd`
592
593 if [ -n "${objdir}" ] ; then
594 cd ${objdir}
595 fi
596
4101d868
RP
597 cd ${hostsubdir}
598 cat > GNUmakefile << E!O!F
b8f8fddc 599# Makefile generated by configure for host ${host_alias}.
4101d868 600
c297d71e 601ALL := $(shell ls -d T-*)
4101d868
RP
602
603%:
604 $(foreach subdir,$(ALL),$(MAKE) -C $(subdir) \$@ &&) true
605
606all:
607E!O!F
49b10446 608 cd ${push}
4101d868 609 fi
67ca110d 610done # for each host
eb02fd64 611
c297d71e
RP
612### clean up.
613
49b10446 614rm -f ${TMPDIR}/configure.$$.com ${TMPDIR}/configure.$$.tgt ${TMPDIR}/configure.$$.hst ${TMPDIR}/configure.$$.pos
c297d71e 615
eb02fd64 616exit 0
74cc5508 617
213195dd
RP
618#
619#
620# $Log$
bdb73134
JW
621# Revision 1.51 1991/10/08 06:07:58 wilson
622# Fix bug in smake- file code.
623#
624# Revision 1.50 1991/10/04 23:49:37 rich
625# Per's patch for my config.sub botch.
626#
627# Revision 1.49 1991/10/04 22:52:09 rich
49b10446
RP
628# Use john's heuristic for finding ourselves. kinda like hare krishna.
629#
630# Revision 1.48 1991/10/02 13:17:28 rich
631# take out the set -e for now
632#
633# Revision 1.47 1991/10/02 10:02:23 rich
634# * temporary files in TMPDIR
635# * +objdir
636#
637# Revision 1.46 1991/10/02 06:29:53 rich
7875b07f
RP
638# Added +site=foo option for naming site specific Makefile fragments.
639#
640# Revision 1.45 1991/10/02 06:15:13 rich
6f8ac2d9
RP
641# Removed +f option. Used to stand for +forcesubdirs which is now
642# called +subdirs.
643#
644# Revision 1.44 1991/10/02 06:02:35 rich
213195dd
RP
645# Added rcs log line.
646#
647#
648#
649
0df06ca0
RP
650#
651# Local Variables:
652# fill-column: 131
653# End:
654#
74cc5508 655
46f3c7cd 656# end of configure
This page took 0.067369 seconds and 4 git commands to generate.